org.apache.cassandra.metrics

## Class StreamingMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.StreamingMetrics

    public class StreamingMetrics
    extends java.lang.Object

Metrics for streaming.

### Field Summary

Fields
`static com.codahale.metrics.Counter` `activeStreamsOutbound`
`com.codahale.metrics.Counter` `incomingBytes`
`com.codahale.metrics.Counter` `outgoingBytes`
`static com.codahale.metrics.Counter` `totalIncomingBytes`
`static com.codahale.metrics.Counter` `totalOutgoingBytes`
`static java.lang.String` `TYPE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`StreamingMetrics(java.net.InetAddress peer)`

### Method Summary

All Methods Static Methods Concrete Methods
`static StreamingMetrics` `get(java.net.InetAddress ip)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_NAME

    public static final java.lang.String TYPE_NAME

See Also:
  Constant Field Values

#### activeStreamsOutbound

    public static final com.codahale.metrics.Counter activeStreamsOutbound

#### totalIncomingBytes

    public static final com.codahale.metrics.Counter totalIncomingBytes

#### totalOutgoingBytes

    public static final com.codahale.metrics.Counter totalOutgoingBytes

#### incomingBytes

    public final com.codahale.metrics.Counter incomingBytes

#### outgoingBytes

    public final com.codahale.metrics.Counter outgoingBytes

### Constructor Detail

#### StreamingMetrics

    public StreamingMetrics(java.net.InetAddress peer)

### Method Detail

#### get

    public static StreamingMetrics get(java.net.InetAddress ip)